Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.states
Class CIBExternalResourceOperationalStatusImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.states.CIBOperationalStatusStateImpl
          com.sun.mfwk.cib.sdk.states.CIBExternalResourceOperationalStatusImpl

All Implemented Interfaces:
  CIBOperationalStatusState, CIBProvider, CIBState

public class CIBExternalResourceOperationalStatusImpl
extends CIBOperationalStatusStateImpl

Provides default implementation of an operational status State provider for a CIBExternalResource. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.states.CIBOperationalStatusState
`FAILED, RUNNING, STARTING, STOPPED, STOPPING`

Constructor Summary
`CIBExternalResourceOperationalStatusImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Contructor
`CIBExternalResourceOperationalStatusImpl(javax.management.MBeanServerConnection connection, javax.management.ObjectName name)` Contructor
`CIBExternalResourceOperationalStatusImpl(javax.management.MBeanServerConnection connection, java.lang.String name)` Contructor

Methods inherited from class com.sun.mfwk.cib.sdk.states.CIBOperationalStatusStateImpl
`destroy, getLastChange, getStartTime, getState, init, start, stop, toStateString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBExternalResourceOperationalStatusImpl

    public CIBExternalResourceOperationalStatusImpl(javax.management.MBeanServerConnection connection,
                                                    java.util.Map map)

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBExternalResourceOperationalStatusImpl

    public CIBExternalResourceOperationalStatusImpl(javax.management.MBeanServerConnection connection,
                                                    java.lang.String name)
                                             throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - String

### CIBExternalResourceOperationalStatusImpl

    public CIBExternalResourceOperationalStatusImpl(javax.management.MBeanServerConnection connection,
                                                    javax.management.ObjectName name)
                                             throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - ObjectName
Throws:
  `javax.management.MalformedObjectNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD